Bug 827316 - [zanata-python-client] failed to push pot with msgid_plural against 1.6 server
[zanata-python-client] failed to push pot with msgid_plural against 1.6 server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zanata-python-client (Show other bugs)
16
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: James Ni
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 02:15 EDT by Ding-Yi Chen
Modified: 2012-07-17 13:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: python client version: 1.3.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 13:30:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-06-01 02:15:25 EDT
Description of problem:
zanata-python-client failed to push pot with msgid_plural against 1.6 server.
Instead, it returns 
Pushing the content of tar.pot to server:
error: The plural is only supported in zanata server >= 1.6, this file will be ignored


Version-Release number of selected component (if applicable):
zanata python client version: 1.3.6-2-g2030, zanata server API version: 1.6.0

How reproducible:
Always

Steps to Reproduce:
1. Assume we working on project "GNU Tar" (which contains msgid_plural, and both project and version are created.
2. zanata  push

  
Actual results:
Pushing the content of tar.pot to server:
error: The plural is only supported in zanata server >= 1.6, this file will be ignored


Expected results:
tar.pot sucessfully pushed.

Additional info:
Comment 1 James Ni 2012-06-04 22:42:07 EDT
Hi Ding,

Thanks a lot, i have fixed this issue in commit 70fe52f on git-hub:
https://github.com/zanata/zanata-python-client/commit/70fe52f33b6135296be915fb4aa7a28c6119069c

Please review it. I will include this change in 1.3.7. Thanks
Comment 2 Fedora Update System 2012-06-13 01:38:10 EDT
zanata-python-client-1.3.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.fc16
Comment 3 Fedora Update System 2012-06-13 01:38:52 EDT
zanata-python-client-1.3.7-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.el5
Comment 4 Fedora Update System 2012-06-13 01:39:25 EDT
zanata-python-client-1.3.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.fc17
Comment 5 Fedora Update System 2012-06-13 01:39:58 EDT
zanata-python-client-1.3.7-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.fc15
Comment 6 Fedora Update System 2012-06-13 01:40:33 EDT
zanata-python-client-1.3.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.el6
Comment 7 Fedora Update System 2012-07-17 13:30:12 EDT
zanata-python-client-1.3.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.